Allow older software to open Geodatabases with attribute rules

Idea created by lygismav on Jul 7, 2020
    Reviewed
    Score20
    • lygismav
    • usace_swg_jah

    Hello,

     

    Per https://pro.arcgis.com/en/pro-app/help/data/geodatabases/overview/an-overview-of-attribute-rules.htm once attribute rules are added to a Geodatabase in ArcGIS Pro then that Geodatabase can no longer be opened in older software including ArcMap, and earlier versions of ArcGIS Pro.   In order to make it easier to share Geodatabases with users that either dont, or cannot have the newest version of ArcGIS Pro please consider one of the following:

     

    • Find a way to at least allow older software versions to open newer Geodatabases that have attribute rules enabled.  This is important because certain 3rd party software lags behind the newest version of ArcGIS Pro.  In addition data publishers cannot ensure that data users have a particular version of ArcGIS Pro.
    • Allow older software to edit Geodatabases with attribute rules with the following caveats:
      • Allow the older software to edit data while ignoring attribute rules.  This is okay since ArcMap does not understand Aracade.  The person with ArcGIS Pro can run attribute rules at a later time.
      • When adding attribute rules give the user the option to "Allow any software to edit the Geodatabase" or "Only allow edits on software that understands attribute rules"  (The former being more open, the later being strict when data integrity is important)
    • Implement the attribute rules at the map level.
    • Allow users the ability to remove attribute rules in a Geodatabase.  Hopefully ESRI will consider a patch for ArcMap users.  (This is the lease desirable option)

     

    Thanks!